body{
    margin: 0;
    font-size: 20px;
    overscroll-behavior: contain;
}
.main-ui{
    display: block;
    width: 100%;
    height: 100%;
    overflow: hidden;
}
.header{
    height: 36px;
    background-color: #0099cc;
    vertical-align: middle;
}
.header.flash{
    color: white;
    text-align: center;
    font-family: "Arial Black", Gadget, sans-serif;
    letter-spacing: 13px;
}
.carousal{
    position: relative;
    width: 100%;
    height: 100%;
    overflow: hidden;
    /*background: #cce6ff url('bible256.png') no-repeat 50% 40%;*/
    background: #cce6ff;
}
.carousal.flash{
    display: none;
    background: #cce6ff url('bible256.png') no-repeat 50% 40%;
}
.page{
    position: absolute;
    background-color: white;
    top: 0;
    right: 0;
    left: 0;
    bottom: 35px;
    border-left: 1px solid silver;
    border-right: 1px solid silver;
    overflow-y: scroll;
    overflow-x: hidden;
    box-shadow: 0 0 10px gray;
}
@media (pointer: fine) {
    ::-webkit-scrollbar {
      width: 8px;
    }
    ::-webkit-scrollbar-track {
      background: #e6e6e6; 
    }
    ::-webkit-scrollbar-thumb {
      background: #cce6ff;
      border-radius: 3px;
      box-shadow: 0 0 2px 1px silver inset;
    }
    ::-webkit-scrollbar-thumb:hover {
      background: #339cff; 
      box-shadow: 0 0 2px 1px inset;
    }
}
.menu{
    position: fixed;
    top: 36px;
    z-index: 1000;
    background-color: #0099cc;
    font-size: 90%;
    width: 100%;
    overflow-y: hidden;
    padding: 5px 0 5px 0;
    border-top: 2px groove;
    box-shadow: 0 0 10px gray;
    color: white;
    line-height: 1.5em;
}
.menu.hx{
    width: auto;
    right: 0px;
}
.res-top{
    text-align: center;
}
.res-bottom{
    overflow-y: auto;
}
.popup{
    position: fixed;
    top: 10%;
    right: 10px;
    line-height: 2em;
    z-index: 2000;
    background-color: #66a3ff;
    box-shadow: 0 0 10px gray;
    text-align: center;
    border-radius: 5px;
}
.popup .button{
    display: block;
}
.label{
    padding: 10px 0 10px 0;
    text-align: center;
    color: yellow;
}
button{
    background-color: #cce6ff;
    color: black;
    padding: 3px 10px 3px 10px;
}
button:active, .button:active, ref:active, .touched{
    box-shadow: 0 0 3px 3px orange;
    border-radius: 6px;
}
input{
    margin: 5px;
    line-height: 24px;
    font-size: 70%;
    max-width: 70%;
}
button, input{
    outline: none;
    border-radius: 3px;
    border: 1px solid #0099cc;
}
.button{
    padding:0 5px 0 5px;
    margin: 2px;
    cursor: pointer;
    border-radius: 3px;
    color: white;
    display: inline-block;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    min-width: 24px;
    text-align: center;
}
span.button[disabled]{
    color: darkgray;
}
.button.book{
    max-width: 40%;
}
.button.hx{
    display: block;
    text-align: left;
}
.down{
    background-color: yellow;
    color: black;
}
ref{
    cursor: pointer;
    color: maroon;
    text-decoration: none;
    border-bottom: 2px solid;
    padding: 0 5px 0 5px;
    border-radius: 3px;
}
@media (hover: hover) { 
    .button:hover, ref:hover, button:hover{
        color: magenta;
        background-color: white;
    }
    .button.down:hover{
        background-color: yellow;
    }
    .code:hover, .show-code:hover, .show-en:hover, .show-editor:hover, .show-jy:hover{
        opacity: 1;
    }
    a:hover{
        color: red;
    }
}
.title{
    font-weight: bold;
    text-align: center;
    padding: 5px 0 5px 0;
    background-color: #e6e6e6;
    color: #009999;
}
.res-bottom{
    background-color: #0099cc;
    color: white;
    line-height: 1.6;
    overflow-y: auto;
}
.verse{
    padding: 2px 10px 2px 10px;
    user-select: none;
}
.verse.selected, .verse.selected.even{
    background-color: #b38600;
    color: white;
}
.page .even{
    background-color: #e6f9ff;
}
.res-bottom .even{
    background-color: #00ace6;
}
.verse-no{
    color: #054a27;
    vertical-align: super;
    font-size: 60%;
    margin-right: 2px;
}
.verse .highlight{
    background-color: yellow;
    color: black;
}
.verse.selected .highlight{
    background-color: #cc9900;
    color: white;
}
.word{
    margin-right: 5px;
    border-bottom: 1px dotted silver;
}
.code, .show-code, .show-en, .show-jy{
    color: red;
    opacity: 0.5;
    cursor: help;
}
.jy{
    color: blue;
}
.code.selected{
    background-color: yellow;
}
.viewer{
    display: none;
    background-color: #e6f0ff;
    padding: 5px;
    border: 1px solid silver;
    margin: 2px;
    border-radius: 3px;
}

.trumbowyg-box, .trumbowyg-editor {
    margin: 0;
}
.editor{
    background-color: #cce0ff;
}
.code:before{
    content: "[";
}
.code:after{
    content: "]";
}
.blue{
    color: blue;
}
.green{
    color: green;
}
.olan{
    color: white;
    background-color: #0099cc;
    opacity: 0.8;
    border: none;
}
.orig{
    white-space: pre-line;
    padding: 10px;
    font-size: 90%;
    text-align: left;
    color: navy;
}
.float{
    float: right;
}
div.button{
    color: yellow;
    display: block;
}
.status{
    color: yellow;
    text-align: center;
    padding: 5px 20px 5px 20px;
    display: none;
    border-bottom: 2px groove;
}
.controls.search{
    display: none;
}
.controls.search.on{
    display: inline-block;
}
.controls.nav.on{
    display: none;
}
.toast {
	position: fixed;
	list-style: none;
	padding: 0;
	top: 32px;
	right: 20px;
	z-index: 999999;
	font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
	font-size: 14px;
	line-height: 20px;
}

.toast li {
	margin: 10px 0 0 0;
	display: block;
	background-color: #0099cc;
	color: yellow;
	border: 1px solid #fbeed5;
	padding: 5px 10px;
	border-radius: 4px;
	/*-webkit-border-radius: 4px;*/
	/*text-shadow: 0 1px 0 rgba(255, 255, 255, 0.5);*/
	box-shadow: 0 2px 5px rgba(0, 0, 0, .15);
	/*-webkit-box-shadow: 0 2px 5px rgba(0, 0, 0, .15);*/
}

.toast li:first-child {
	margin-top: 0;
}

.toast li.danger {
	color: #b94a48;
	background-color: #f2dede;
	border-color: #eed3d7;
}

.toast li.info {
	color: #3a87ad;
	background-color: #d9edf7;
	border-color: #bce8f1;
}

.toast li.success {
	color: #468847;
	background-color: #dff0d8;
	border-color: #d6e9c6;
}

.toast button.close {
	background: none;
	border: none;
	font-weight: bold;
	font-size: 20px;
	line-height: 20px;
	float: right;
	padding: 0;
	margin: 0 0 0 5px;
	color: rgba(0, 0, 0, .25);
	cursor: pointer;
}

.toast h1,
.toast h2,
.toast h3,
.toast h4 {
	display: inline;
}